@echo off
echo MAKE PANO (NORMAL) droplet

IF "%~1" == "" GOTO ERROR
IF NOT EXIST "%~1" GOTO ERROR

set FFMPEG=video_droplet\ffmpeg_64\bin\ffmpeg.exe
if "%PROCESSOR_ARCHITECTURE%" == "x86" set FFMPEG=video_droplet\ffmpeg_32\bin\ffmpeg.exe

For %%A in ("%~1") do (
    Set Folder=%%~dpA
    Set Name=%%~nxA
)

REM "%~dp0\%KRPANOTOOLSEXE%" makepano "%~dp0\templates\normal.config" %*
rmdir /s /q "video_%Name%"
mkdir "video_%Name%"
xcopy /S /Y video_droplet\video_template_fast\* "video_%Name%"
REM Make thumbnails
%FFMPEG% -i "%~1" -vf  "thumbnail,scale=1920:960" -frames:v 1 "video_%Name%\video-1920x960-poster.jpg"
%FFMPEG% -i "%~1" -vf  "thumbnail,scale=1024:512" -frames:v 1 "video_%Name%\video-1024x512-poster.jpg"
REM Copy the original video
REM copy "%~1" video\video-1920x960.mp4
%FFMPEG% -i "%~1" -vf scale=1920:960 -r 24 -b:v 5000k -maxrate 6500k -minrate 3500k -bufsize 300k -vcodec libx264 -ac 1 -threads 8 "video_%Name%\video-1920x960.mp4"
%FFMPEG% -i "%~1" -vf scale=1920:960 -r 30 -b:v 12000k -maxrate 16000k -minrate 8000k -bufsize 300k -vcodec libx264 -ac 2 -threads 8 "video_%Name%\video-1920x960-hq.mp4"
%FFMPEG% -i "%~1" -vf scale=1024:512 -r 15 -b:v 1000k -maxrate 1200k -minrate 900k -bufsize 300k -vcodec libx264 -ac 1 -threads 8 "video_%Name%\video-1024x512.mp4"

REM %FFMPEG% -i "%~1" -vf scale=1920:960 -r 20 -maxrate 2500k -bufsize 512k -ac 1 -threads 8 video\video-1920x960.webm
REM %FFMPEG% -i "%~1" -vf scale=1920:960 -r 30 -maxrate 10000k -bufsize 512k -ac 2 -threads 8 video\video-1920x960-hq.webm
%FFMPEG% -i "%~1" -vf scale=1024:512 -r 15 -b:v 1000k -maxrate 1200k -minrate 900k -bufsize 300k -ac 1 -threads 8 -vcodec libvpx -acodec libvorbis "video_%Name%\video-1024x512.webm"

GOTO DONE

:ERROR
echo.
echo "Drag and drop a 1920x960 panoramic video"
echo "This variation only makes a single .webm video, to reduce encoding time"
echo ".webm videos are very rarely used, and are available for compatibility"
echo "Requires video_droplet_fast helper directory"
echo "Will output to video_filename directory"
echo "Encodes three different video qualities, intended for mobile, normal and high quality"

:DONE
echo.
pause